summaryrefslogtreecommitdiff
path: root/packaging
diff options
context:
space:
mode:
authorHerb Lewis <herb@samba.org>2001-07-10 08:28:59 +0000
committerHerb Lewis <herb@samba.org>2001-07-10 08:28:59 +0000
commit13e367ef41f9eb8397195b77cbce7044fb8c6faa (patch)
treee339f8cd20c97180436a844ddbcd60086a8e7615 /packaging
parent4b1acffd4b48ae1383d3f07e6c6d5e5c83aa2ff3 (diff)
downloadsamba-13e367ef41f9eb8397195b77cbce7044fb8c6faa.tar.gz
build profile enabled version of smbd and nmbd - remove support for
building on IRIX 5.3
Diffstat (limited to 'packaging')
-rwxr-xr-xpackaging/SGI/mkrelease.sh31
1 files changed, 12 insertions, 19 deletions
diff --git a/packaging/SGI/mkrelease.sh b/packaging/SGI/mkrelease.sh
index 6eab242de84..14d25035cb4 100755
--- a/packaging/SGI/mkrelease.sh
+++ b/packaging/SGI/mkrelease.sh
@@ -2,9 +2,7 @@
# This file goes through all the necessary steps to build a release package.
# syntax:
-# mkrelease.sh [5] [clean] [targets ....]
-#
-# You may specify 5 to build for IRIX 5.3
+# mkrelease.sh [clean]
#
# You can specify clean to do a make clean before building. Make clean
# will also run configure and generate the required Makefile.
@@ -24,21 +22,6 @@ fi
if [ "$1" = "clean" ]; then
doclean=$1
shift
-elif [ "$1" = "5" ]; then
- SGI_ABI=-32
- ISA=""
- shift
-fi
-
-# check again in case they put the args in the wrong order
-
-if [ "$1" = "clean" ]; then
- doclean=$1
- shift
-elif [ "$1" = "5" ]; then
- SGI_ABI=-32
- ISA=""
- shift
fi
export SGI_ABI ISA CC
@@ -80,7 +63,17 @@ fi
#
echo Making binaries
-make "CFLAGS=-O -g3" $*
+make clean
+make "CFLAGS=-O -g3 -D WITH_PROFILE" CHECK bin/smbd bin/nmbd
+errstat=$?
+if [ $errstat -ne 0 ]; then
+ echo "Error $errstat building profile sources\n";
+ exit $errstat;
+fi
+mv bin/smbd bin/smbd.profile
+mv bin/nmbd bin/nmbd.profile
+make clean
+make "CFLAGS=-O -g3" all
errstat=$?
if [ $errstat -ne 0 ]; then
echo "Error $errstat building sources\n";